Core - Bug # 58530

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Backend API
Created: 2014-05-05 Assigned To:

Updated: 2014-05-06 Due date:

TYPO3 Version: 6.2

PHP Version: 54

Complexity: easy

Is Regression: No

Sprint Focus:

Subject: ext:rsaauth cliBackend pollutes cli output

Description

Related issues:

related to Core - Task # 58531: Tests: Activate ext:rsaauth test suite Resolved 2014-05-05

Associated revisions

Revision 3010c21e - 2014-05-05 19:51 - Christian Kuhn

[TASK] Tests: Activate ext:rsaauth test suite

The test suite of ext:rsaauth is missing in UnitTests.xml, add it.

Resolves: #58531

Related: #58530

Related: #51436

Releases: 6.2

Change-Id: 15¢c1c8bbf415ed53270a09bdf68df300e28eb5f09
Reviewed-on: https://review.typo3.org/29878

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision dad69621 - 2014-05-06 17:40 - Christian Kuhn

[BUGFIX] ext:rsaauth cliBackend pollutes cli output

The CommandLineBackend using exec "openss| genrsa" outputs its key
generation to standard error. If SAPI is cli (eg. in unit tests),

this is is shown to the user. The patch silences openssl by

redirecting stderr to /dev/null (NUL on Windows systems).

Resolves: #58530

Related: #51436

Releases: 6.2

Change-Id: 1702d2d3180bc2e32e5548a4402d4eefb02dd2523
Reviewed-on: https://review.typo3.0rg/29877

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Stefan Neufeind
Reviewed-by: Markus Klein

2015-08-04
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Nicole Cordes
Tested-by: Nicole Cordes

History

#1 - 2014-05-05 18:55 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29877

#2 - 2014-05-05 18:57 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29877

#3 - 2014-05-05 18:58 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/29877

#4 - 2014-05-05 19:15 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/29877

#5 - 2014-05-06 15:43 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29877

#6 - 2014-05-06 15:51 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/29877

#7 - 2014-05-06 18:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:dad696216b4671c4cfbd57e2d5b4b9c9bc3a6720.
